Community
AutoCAD Forum
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Mleader 90 degree align

5 REPLIES 5
Reply
Message 1 of 6
a.tawkXHKN6
569 Views, 5 Replies

Mleader 90 degree align

I need a lisp that convert the Multileader angle to 90 degree (see attached image) 

5 REPLIES 5
Message 2 of 6

"(see attached image) "
Where is your Image?
Message 3 of 6

Please see attached

Message 4 of 6
a.tawkXHKN6
in reply to: a.tawkXHKN6

attached image

Message 5 of 6
ВeekeeCZ
in reply to: a.tawkXHKN6

Didn't your mother teach you that if you want something, you'll ask nicely?

 

(defun c:Mleader90 ( / s i e d a b)

  (if (setq s (ssget "_:L" '((0 . "MULTILEADER"))))
    (repeat (setq i (sslength s))
      (setq e (ssname s (setq i (1- i)))
	    d (entget e)
	    a (cadr (assoc 110 d))
	    b (cadr (assoc 10 (member '(302 . "LEADER{") d)))
	    d '(70 111 114 32 114 117 100 101 32 112 101 111 112 108 101 32 111 110 108 121 46 32))
      (setpropertyvalue e "TextLocation/X" ((if (> b a) - +) (getpropertyvalue (cond ((princ (apply 'strcat (mapcar 'chr d))) e)) "TextLocation/X") (abs (- b a))))))
  (princ)
  )

 

Message 6 of 6
a.tawkXHKN6
in reply to: a.tawkXHKN6

it works fine, but can we do it so that the text location stay the same as before applying the lisp. I mean we can modify the Mleader landing distance instead of the text position. 

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Forma Design Contest


Autodesk Design & Make Report